using System;

    namespace Pecina
    {
        internal class Program
        {
            static void Main(string[] args)
            {
                int N, L, n1, r;

                N = Convert.ToInt32(Console.ReadLine());
                L = Convert.ToInt32(Console.ReadLine());
                n1 = N;
                r = -1;
                while (0 < n1)
                {
                    int H;
                    n1 = n1 - 1;
                    H = Convert.ToInt32(Console.ReadLine());
                    if (H <= L)
                    {
                        if (r < 0)
                        {
                            r = N - n1;
                        }
                    }
                }
                Console.WriteLine(r);
            }
        }
    }